+================================================
+                                                
+ Beamicon 2 - Vectric machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      When       What                         
+ ======== ========== ===========================
+ Mark     10/08/2016 Written for metric
+================================================

POST_NAME = "Beamicon 2 Arcs(mm) (*.din)"

FILE_EXTENSION = "din"

UNITS = "MM"

SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C| F|1.1]
VAR X_POSITION = [X|A| X|1.4]
VAR Y_POSITION = [Y|A| Y|1.4]
VAR Z_POSITION = [Z|A| Z|1.4]
VAR ARC_CENTRE_I_INC_POSITION = [I|A| I|1.4]
VAR ARC_CENTRE_J_INC_POSITION = [J|A| J|1.4]
VAR X_HOME_POSITION = [XH|A| X|1.4]
VAR Y_HOME_POSITION = [YH|A| Y|1.4]
VAR Z_HOME_POSITION = [ZH|A| Z|1.4]
VAR SAFE_Z_HEIGHT = [SAFEZ|A| Z|1.4]
+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

" ([91]Filename: : [TP_FILENAME][TP_EXT][93])"
" ([91]Post processor:  Vectric Beamicon 2 Arcs[93])"
" ([91]Date:  [DATE][93])"
"%"
"G21 G90 (Metrisch absolut)"
"G54"
" ([91]Part: [TP_FILENAME][93])"
" ([91]Process: Radiuskorrektur aus[93])"
" ([91]Werkzeuge verwendet[93])"
" ([91][TOOLS_USED][93])"
"T[T] M6 (Werkzeugwechsel Schaftfrser [TOOLNAME])"
"G43 (Lngenkorrektur nach Tabelle)"
"M8 (Khlung an)"
"M3 (Spindel an) [S]"
"G0[XH][YH]"
"G0[ZH]"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"G0[X][Y][Z]"


+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"G1[X][Y][Z][F]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"G1[X][Y][Z]"

+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"G2[X][Y][I][J][F]"

+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------

begin CW_ARC_MOVE

"G2[X][Y][I][J]"

+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"G3[X][Y][I][J][F]"

+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------

begin CCW_ARC_MOVE

"G3[X][Y][I][J]"


+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"T[T] M6 (Werkzeugwechsel Schaftfrser [TOOLNAME])"
"G43 (Lngenkorrektur nach Tabelle)"
"M8 (Khlung an)"


+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT

"M3 (Spindel an) [S]"

+---------------------------------------------
+  Commands output for a dwell move
+---------------------------------------------

+begin DWELL_MOVE

+"G04 [DWELL]"


+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

"M9 (Khlung aus)"
"M5 (Spindel aus)"
"G53"
"G0 X0 Y0 Z0"
"M30"

